Name: atomic-devmode
Version: 0.3.7
Release: 6%{?dist}
Summary: Atomic Developer Mode

License: LGPLv3+
URL: http://github.com/projectatomic/atomic-devmode

# From `make archive REF=v${VERSION}`
Source: %{name}-v%{version}.tar.gz
BuildArch: noarch

# We're solely compatible with grub2, so don't build on
# platforms that don't have it. Also, the atomic pkg isn't
# built on ppc64, so let's exclude it here too.
ExcludeArch: s390 s390x ppc64

Requires: cloud-init
Requires: atomic
Requires: tmux
Requires: grub2-tools

# NB: rpmlint complains about this (explicit-lib-dependency)
# but we need it because the package provides the pwmake
# tool, which the scripts require. That tool should probably
# be broken out in a different package.
Requires: libpwquality

%description
This package installs a Developer Mode boot option useful
for trying out an Atomic Host without having to set up a
cloud-init source. When booted, the system automatically
logs in and starts the Cockpit container.

%prep
%setup -qn atomic-devmode

%build
# Nothing to build

%install
make install DESTDIR="%{buildroot}"

%files
%{_datarootdir}/atomic-devmode
%{_libexecdir}/atomic-devmode
%doc README.md
%license COPYING COPYING.LESSER

%changelog
* Thu Aug 23 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.7-6
- ARMv7 now has grub2

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.7-4
- Escape macros in %%changelog

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 01 2017 Jonathan Lebon <jlebon@redhat.com> - 0.3.7-1
- Upstream release 0.3.7 (see %%{url}/releases/tag/v0.3.7)

* Tue Apr 25 2017 Jonathan Lebon <jlebon@redhat.com> - 0.3.6-2
- Don't build on ppc64

* Mon Feb 27 2017 Jonathan Lebon <jlebon@redhat.com> - 0.3.6-1
- Upstream release 0.3.6 (see %%{url}/releases/tag/v0.3.6)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 06 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.5-1
- Upstream release 0.3.5 (see %%{url}/releases/tag/v0.3.5)

* Mon May 02 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.3-1
- Upstream release 0.3.3 (see %%{url}/releases/tag/v0.3.3)

* Wed Apr 27 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.2-1
- Upstream release 0.3.2.
- Introduce 'showpasswd' alias
- Make sure cloud-init doesn't add the default user
- Make sure to clean up instance info

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.1-1
- Upstream release 0.3.1.

* Fri Jan 22 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3-1
- Upstream release 0.3.

* Mon Jan 18 2016 Jonathan Lebon <jlebon@redhat.com> - 0.2-2
- Add s390 s390x and arm to ExcludeArch so that we don't try
  to be built on platforms that don't use grub2.
- Add explanation for libpwquality req.

* Mon Jan 11 2016 Jonathan Lebon <jlebon@redhat.com> - 0.2-1
- Upstream release 0.2.
- Change license to LGPLv3+.
- Set as noarch.
- Add empty build section.
- Add license and doc.

* Mon Jan 11 2016 Jonathan Lebon <jlebon@redhat.com> - 0.1-1
- Initial release.
